> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Smartsheet

> Integrate your application with the Smartsheet API

## 🚀 Quickstart

Connect to Smartsheet with Nango and see data flow in 2 minutes.

**1. Create the integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Smartsheet*.

> [!NOTE]
>
> Nango has a [Nango-managed OAuth app](https://nango.dev/docs/guides/auth/auth-guide.md#nango-managed-oauth-apps) you can use in development and production. Select it when you create the integration.

**2. Authorize Smartsheet**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to Smartsheet. Later, you'll let your users do the same directly from your app.

**3. Call the Smartsheet API**

Let's make your first request to the Smartsheet API (fetch the profile of the currently signed-in user). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/2.0/users/me" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.get({
>     endpoint: '/2.0/users/me',
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>'
> });
>
> console.log(res.data);
> ```

Or fetch credentials with the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To use your own OAuth app instead of the Nango-managed one, follow the setup guide linked below.

## 📚 Smartsheet integration guides

Nango maintained guides for common use cases.

* [How do I link my account?](https://nango.dev/docs/api-integrations/smartsheet/connect)\
  Connect your Smartsheet account
* [How to register your own Smartsheet OAuth app](https://nango.dev/docs/api-integrations/smartsheet/how-to-register-your-own-smartsheet-api-oauth-app)\
  Register an OAuth app with Smartsheet and obtain credentials to connect it to Nango

Official docs: [Smartsheet API docs](https://smartsheet.redoc.ly/)

## 🧩 Pre-built syncs & tools for Smartsheet

Explore Nango-provided tools in your dashboard. Extend and customize them to fit your needs.

### Users

| Function name | Description | Type |
| - | - | - |
| `users` | Fetches a list of users from Smartsheet | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |

### Others

| Function name | Description | Type |
| - | - | - |
| `create-user` | Creates a user in Smartsheet | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-user` | Deletes a user from Smartsheet. User is transitioned to a free collaborator with read-only access to owned reports, sheets, Sights, workspaces, and any shared templates (unless those are optionally transferred to another user). | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `disable-user` | Disables a user in an organization account. User will no longer be able to access Smartsheet in any way. User's assets will continue to be owned by this user until they are transferred to another user. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.